Bug 144333 - Install hangs on network intialization due to PCMCIA adapter (Netgear MA-301)
Install hangs on network intialization due to PCMCIA adapter (Netgear MA-301)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-05 21:16 EST by Oisin C. Feeley
Modified: 2015-01-04 17:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:38:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oisin C. Feeley 2005-01-05 21:16:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040615 Firefox/0.9

Description of problem:
This is a fresh installation of FC3 from current ISOs.  I am booting
with the default parameters and the boot gets as far as:

Welcome to Fedora Core
Press 'I' to enter interactive startup.
Starting udev:                          [ OK ]
Initializing hardware... storage

and then it just sits there.
Keyboard is apparently unresponsive.  I've waited for up to 10 minutes
in case this was some sort of sendmail/network-interface problem, but
no dice.  

If I remove the pcmcia-adapter physically then the machine boots
succesfully.

I checked to make sure (via a rescue disk) that /etc/udev/udev.conf
contained "udev_log=no" (as it should because this the public final
release of FC3 and so that fix (Bug 137571) went into it a while ago.

Trying the suggested "Ctrl-C" mentioned on other udev bugs doesn't
work either.

I also passed in boot parameters of "acpi=off noapci" in an ignorant
frenzy, but obtained the same problem.

This machine was previously running Red Hat 9 (2.4.20-20.9) with the
exact same hardware:

Abit-BM6 motherboard
hda: Maxtor 2R015H1  (ATA)
hdb: IBM-DJNA-371350  (ATA)

eth0: LiteOn 82c168 (8139too driver)
eth1: D-Link DFE-538TX (RealTek RTL8139)

pcmcia-adapter: Netgear MA-301 TX

CD-RW: Creative CD-RW 8432

Video:  ATI Radeon 7500

I can shove the pcmcia-adapter back in and do some more debugging for
you if that would help with udev development.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Insert Netgear MA-301 TX adapter 
2.Boot from FC3 disks
3.
    

Actual Results:  A freeze hang at the "Starting udev.  Initializing
hardware... storage" stage.  I take this to mean that storage is
succesfully initialized and that the network is where it's hanging
(makes sense given rest of the information!)

Expected Results:  Initialization of the network by udev and a
succesful boot of the kernel

Additional info:
Comment 1 Oisin C. Feeley 2005-01-08 15:28:47 EST
To clarify, the piece of hardware causing the Udev hang is a "PCI
adapter" which means that it plugs into a PCI slot on the motherboard
and provides a PCMCIA slot into which a wireless card can be inserted
(e.g. the Netgear MA401).  This previously ran on RH 9 using the
orinoco_plx module and the wireless card itself actually used the
"orinoco" module.

I can see that the install fails at the point where it loads the
"orinoco_plx" module.
Comment 2 Harald Hoyer 2005-01-10 05:06:00 EST
Why do you suspect udev? It had passed already!
Starting udev:                          [ OK ]
Note the "[OK]", which means that it succeeded!

:-)

Reassigning to initscripts/kudzu ... maybe it is kernel.
Comment 3 Harald Hoyer 2005-01-10 05:49:12 EST
oops, that is definetly kernel.
Comment 4 Oisin C. Feeley 2005-01-10 11:17:48 EST
Sorry Harald, I had the horrible realization this morning that it
couldn't be Udev.  Put it down to stupidity and accept my apologies. ;)
Comment 5 Oisin C. Feeley 2005-01-10 12:55:22 EST
Changed title from "Udev ....." to "Install hangs" in order to make
report more meaningful for other's searches in database
Comment 6 Dave Jones 2005-07-15 15:57:49 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 7 Dave Jones 2005-10-02 20:38:25 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.